# Struct key

- Defined in File condition.hpp

## Struct Documentation

struct key

  Class to use in creating conditions, creates a reference to a item or item.

  Public Functions

  inline explicit key(const std::string &item_name)

    Construct a new key object using item_name as name.

    Parameters:

      item_name –

  inline explicit key(const char *item_name)

    Construct a new key object using item_name as name.

    Parameters:

      item_name –

  inline explicit key(std::string_view item_name)

    Construct a new key object using item_name as name.

    Parameters:

      item_name –

  key(const key&) = delete
  key &operator=(const key&) = delete

  Public Members

  std::string m_item_name

    The item name.